Subject: RE: Problems with PCI-E devices not being detected with switch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 17 Oct 2008 08:19:02 +1100

On Thu, 2008-10-16 at 10:01 -0500, Ayman El-Khashab wrote:
> 
> Thanks for your help.  I did try a 5s delay and other than the boot
> taking an extra couple of seconds, there was no change.  The messages
> above "unknown header" still showed up.  Downstream devices were not
> found.
> BTW, this is with both the Denx kernel tree and the official 2.6.27
> kernel.  
> Both have the same results. One added note, just to rule out bad
> electronics,
> I have confirmed that the switch+sata work correctly together if placed
> into a plain x86 pc with 2.6.24.  So the electronics are fine.

I think I know where the problem comes from. The bus numbers aren't
getting properly assigned below the root bus. I'm working on some test
patches, I'll let you know when I have something.

Cheers,
Ben.